# Helm Chart for AILab demo API

> 注：所有Demo能力需要部署在`default`命名空间下，才能使用`keda-http-add-on`代理服务。

## 快速使用

1、指定Demo能力镜像和服务端口

```shell
helm upgrade -n default --install hf-gan --set image.repository="artifacts.iflytek.com/docker-private/atp/aicloud/hf_fully_body_anime_gan" \
--set image.tag="1fc7e9b8c0" --set image.pullPolicy=Always --set service.port=7860 .
```

2、指定Demo能力GPU规格

> GPU机器需要包含`gpushare`、`gputype`和`gpudrive`等标签。

```shell
helm upgrade -n default --install hf-gan --set image.repository="artifacts.iflytek.com/docker-private/atp/aicloud/hf_fully_body_anime_gan" \
--set image.tag="1fc7e9b8c0" --set image.pullPolicy=Always --set service.port=7860 \
--set gpuResource.enable=true,gpuResource.type="{t4,p4}",gpuResource.driverVersion="{515}" .
```

3、查看渲染后的部署清单

```shell
helm template demo01 --set gpuResource.enable=true --set gpuResource.type="{t4}",gpuResource.driverVersion="{515,418}" .
```

## 部署清单

### 资源列表

- ServiceAccount
- Deployment
- Ingress
- Service
- HTTPScaledObject

## Values

查看文件[values.yaml](values.yaml)。
